Subject: Re: why is bash trying to access my DNS?
From: David Means <[email-masked]>
To: [email-masked]
Date: 04 Mar 2003 00:08:27 -0500

Proper hostname resolution should look in the hosts file before querying
DNS.  Try putting your hostname/ip address pair in your host file. I
don't recall if windows will look there first, though.  However, if
you're getting your IP address via DHCP, this isn't going to work for
you.

Seconly, why are you worried about outbound DNS?  Can you not configure
ZoneAlarm to trigger only on DNS targeted to your machine?  Certianly
you're not worried you or someone else on your SOHO network will hacking
a DNS server?

On Mon, 2003-03-03 at 22:07, Geoffrey Hausheer wrote:
> One more thing, I forgot to ask...
> 
> On Mon, 03 Mar 2003 18:46:09 -0800, "Geoffrey Hausheer" said:
> > Thank you, this indeed is the issue, as can be seen from the very next
> > line after the wsock call:
> > 5495150 5519336 [main] bash 1940 cygwin_gethostname: name Holly
> 
> I don't suppose there is any way to prevent all of these hostname lookups
> (since they are obviously sommething somewhat recent)?
> For bash I can just tell ZoneAlarm to ignore it, and all is well, but 
> since applications like vim seem to be doing the same thing  (and yes I
> removed \h from my PS1 line, just to be sure), the whole point of
> installing ssh (to get sshd working) has gone out the window since
> anytime I run a program that uses hostname, ZoneAlarm will complain on my
> local desktop, and my remote session will hang (Obviously, I could let
> all outgoing programs access the internet freely, but preventing that is
> half the reason I run ZoneAlarm in the first place)
> 
> Thanks again,
> Geoff
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
-- 
David Means

Being a programmer is like being married: You talk to your
spouse about lots of things, only to find that something you 
said (and promptly forgot) has come back to bite you in the ass 
months later.